MyGUI::IBNotifyItemData Struct Reference

`#include <MyGUI_IBItemInfo.h>`

## Public Types

enum | NotifyItem { MousePressed , MouseReleased , KeyPressed , KeyReleased }

## Public Member Functions

| IBNotifyItemData (size_t _index, NotifyItem _notify, int _x, int _y, MouseButton _id)
| IBNotifyItemData (size_t _index, NotifyItem _notify, KeyCode _code, Char _key)
| IBNotifyItemData (size_t _index, NotifyItem _notify, KeyCode _code)

## Data Fields

size_t | index
NotifyItem | notify
int | x
int | y
MouseButton | id
KeyCode | code
Char | key

## Detailed Description

Definition at line 67 of file MyGUI_IBItemInfo.h.

## Member Enumeration Documentation

## NotifyItem

enum MyGUI::IBNotifyItemData::NotifyItem

Enumerator
MousePressed |
MouseReleased |
KeyPressed |
KeyReleased |

Definition at line 69 of file MyGUI_IBItemInfo.h.

## Constructor & Destructor Documentation

## IBNotifyItemData() [1/3]

MyGUI::IBNotifyItemData::IBNotifyItemData | ( | size_t | _index,
|  | NotifyItem | _notify,
|  | int | _x,
|  | int | _y,
|  | MouseButton | _id )

inline

Definition at line 77 of file MyGUI_IBItemInfo.h.

## IBNotifyItemData() [2/3]

MyGUI::IBNotifyItemData::IBNotifyItemData | ( | size_t | _index,
|  | NotifyItem | _notify,
|  | KeyCode | _code,
|  | Char | _key )

inline

Definition at line 88 of file MyGUI_IBItemInfo.h.

## IBNotifyItemData() [3/3]

MyGUI::IBNotifyItemData::IBNotifyItemData | ( | size_t | _index,
|  | NotifyItem | _notify,
|  | KeyCode | _code )

inline

Definition at line 99 of file MyGUI_IBItemInfo.h.

## Field Documentation

## code

KeyCode MyGUI::IBNotifyItemData::code

If Key* notify type - key code, else 0

Definition at line 121 of file MyGUI_IBItemInfo.h.

## id

MouseButton MyGUI::IBNotifyItemData::id

If Mouse* notify type - mouse button id position, else 0

Definition at line 119 of file MyGUI_IBItemInfo.h.

## index

size_t MyGUI::IBNotifyItemData::index

Item index

Definition at line 111 of file MyGUI_IBItemInfo.h.

## key

Char MyGUI::IBNotifyItemData::key

If Key* notify type - mouse button id position, else 0

Definition at line 123 of file MyGUI_IBItemInfo.h.

## notify

NotifyItem MyGUI::IBNotifyItemData::notify

Notify type

Definition at line 113 of file MyGUI_IBItemInfo.h.

## x

int MyGUI::IBNotifyItemData::x

If Mouse* notify type - mouse x position, else 0

Definition at line 115 of file MyGUI_IBItemInfo.h.

## y

int MyGUI::IBNotifyItemData::y

If Mouse* notify type - mouse y position, else 0

Definition at line 117 of file MyGUI_IBItemInfo.h.

The documentation for this struct was generated from the following file:

- MyGUI_IBItemInfo.h